cursor_exceptions: 
  - file: example_code/good_module/my_module.c
    cursors: 
      - symbol: MY_EXEMPTED_LOCAL_VARIABLE
        rules:
          - general_rule_1
file_rule_regex_exceptions:
  - file_regex: example_code/*
    rules: # This rule is exempted from all files matching the regex above
      - general_rule_4
file_regex_exceptions:
  - ^((?!example_code).)*$ # Ignore external files, including standard library
